Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0037877
TypeCategorySeverityReproducibilityDate SubmittedLast Update
feature request[Openbravo ERP] 02. Master data managementminorhave not tried2018-02-11 11:242019-03-28 14:55
ReportershuehnerView Statuspublic 
Assigned ToTriage Finance 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision3a582731abb4
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0037877: Rewrite Report Price list without using obsolete fop rendering or remove it

DescriptionThat report is actively used and accessible via the menu.

The PDF output option of the report is using the outdated fop rendering system instead of the more modern jasper reports.

To be able to eventually remove fop support from the core product that report should be redone or removed.

Note that the report seems to have a number of additional flaws currently:
1.) Is have html output option based on xmlEngine technology which will not work with big volumes.
2.) old style report with manually coded html for filters

3.) fop pdf output
3.a) Copy and paste title is "Sale Order Report"
3.b) Valid From written as "2018-01-01 00:00:00" while precision to define valid from in pricelist is on days granularity
3.c) Valid From repreated per category in middle of report
3.d) No currency shown in output
 
Steps To Reproduce-
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
depends on defect 0040132 closedTriage Finance API change: removed reports 
blocks feature request 0037874 closedalostale Remove support for fop rendering from core product as very nearly not used 

-  Notes
(0109548)
hgbot (developer)
2019-02-05 08:12

Repository: erp/devel/pi
Changeset: 3a582731abb45b5d2af24ceea6f14959d487ac57
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Wed Jan 16 12:30:05 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/3a582731abb45b5d2af24ceea6f14959d487ac57 [^]

[fop] fixed issue 37877: removed Price List Report

---
M src-db/database/sourcedata/AD_MENU.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT.xml
M src-db/database/sourcedata/AD_MODEL_OBJECT_MAPPING.xml
M src-db/database/sourcedata/AD_PROCESS.xml
M src-db/database/sourcedata/AD_TEXTINTERFACES.xml
M src-db/database/sourcedata/AD_TREENODE.xml
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist.fo
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist.html
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist.java
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist.xml
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist_Pdf.xml
R src/org/openbravo/erpCommon/ad_reports/ReportPricelist_data.xsql
---
(0109558)
alostale (developer)
2019-02-05 08:26

Removed in the scope of remove FOP support project (0037874).
(0110789)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-02-11 11:24 shuehner New Issue
2018-02-11 11:24 shuehner Assigned To => Triage Finance
2018-02-11 11:24 shuehner Modules => Core
2018-02-11 11:24 shuehner Triggers an Emergency Pack => No
2018-02-11 11:24 shuehner Relationship added blocks 0037874
2019-02-05 07:54 alostale Relationship added depends on 0040132
2019-02-05 08:12 hgbot Checkin
2019-02-05 08:12 hgbot Note Added: 0109548
2019-02-05 08:12 hgbot Status new => resolved
2019-02-05 08:12 hgbot Resolution open => fixed
2019-02-05 08:12 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/3a582731abb45b5d2af24ceea6f14959d487ac57 [^]
2019-02-05 08:26 alostale Note Added: 0109558
2019-02-05 08:26 alostale Status resolved => closed
2019-02-05 08:26 alostale Fixed in Version => 3.0PR19Q2
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110789


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker